# enid debug

#### `enid debug`

```ansi
Debugging tools for the application

Usage:
  enid debug [flags]
  enid debug [command]

Available Commands:
  addr        Convert addresses between hexadecimal and bech32
  dump-iavl   Dump IAVL data at a specific height
  pubkey      Decode a public key from proto JSON
  raw-bytes   Convert raw bytes output (e.g., [10 21 13 255]) to hexadecimal

Flags:
  -h, --help   Help information for debug

Global Flags:
      --home string         Directory for configuration and data (default "~/.eni")
      --log_format string   Log format (json|plain)
      --log_level string    Log level (trace|debug|info|warn|error|fatal|panic)
      --trace               Print the full stack trace on error

Use "enid debug [command] --help" for more information about a command.
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.eniac.network/reference/cli/enid-debug.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
